Subject: [sipcore] [Technical Errata Reported] RFC6086 (3167)

From: RFC Errata System <[email-masked]>
Date: Mon, 26 Mar 2012 11:10:40 -0700 (PDT)

The following errata report has been submitted for RFC6086,
"Session Initiation Protocol (SIP) INFO Method and Package Framework".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=6086&eid=3167

--------------------------------------
Type: Technical
Reported by: Dale Worley <[email-masked]>

Section: 12.2.2

Original Text
-------------
12.2.2.1.  Non-Info Package Body Part

   INFO sip:[email-masked] SIP/2.0
   Via: SIP/2.0/UDP 192.0.2.2:5060;branch=z9hG4bKnabcdef
   To: Alice <sip:[email-masked]>;tag=1234567
   From: Bob <sip:[email-masked]>;tag=abcdefg
   Call-Id: [email-masked]
   CSeq: 314400 INFO
   Info-Package: foo
   Content-Type: multipart/mixed;boundary="theboundary"
   Content-Length: ...

   --theboundary
   Content-Type: application/mumble
   ...

   <mumble stuff>

   --theboundary
   Content-Type: application/foo-x
   Content-Disposition: Info-Package
>>>Content-length: 59

   I am a foo-x message type, and I belong to Info Package foo
   --theboundary--

12.2.2.2.  Info Package with Multiple Body Parts inside Multipart Body
           Part

   INFO sip:[email-masked] SIP/2.0
   Via: SIP/2.0/UDP 192.0.2.2:5060;branch=z9hG4bKnabcdef
   To: Alice <sip:[email-masked]>;tag=1234567
   From: Bob <sip:[email-masked]>;tag=abcdefg
   Call-Id: [email-masked]
   CSeq: 314423 INFO
   Info-Package: foo
   Content-Type: multipart/mixed;boundary="theboundary"
   Content-Disposition: Info-Package
   Content-Length: ...

   --theboundary
   Content-Type: application/foo-x
>>>Content-length: 59

   I am a foo-x message type, and I belong to Info Package foo

   <mumble stuff>

   --theboundary
   Content-Type: application/foo-y
>>>Content-length: 59

   I am a foo-y message type, and I belong to Info Package foo
   --theboundary--

12.2.2.3.  Info Package with Single Body Part inside Multipart Body Part

   INFO sip:[email-masked] SIP/2.0
   Via: SIP/2.0/UDP 192.0.2.2:5060;branch=z9hG4bKnabcdef
   To: Alice <sip:[email-masked]>;tag=1234567
   From: Bob <sip:[email-masked]>;tag=abcdefg
   Call-Id: [email-masked]
   CSeq: 314423 INFO
   Info-Package: foo
   Content-Type: multipart/mixed;boundary="theboundary"
   Content-Disposition: Info-Package
   Content-Length: ...

   --theboundary
   Content-Type: application/foo-x
   Content-Disposition: icon
>>>Content-length: 59

   I am a foo-x message type, and I belong to Info Package foo
   --theboundary--

Corrected Text
--------------
12.2.2.1.  Non-Info Package Body Part

   INFO sip:[email-masked] SIP/2.0
   Via: SIP/2.0/UDP 192.0.2.2:5060;branch=z9hG4bKnabcdef
   To: Alice <sip:[email-masked]>;tag=1234567
   From: Bob <sip:[email-masked]>;tag=abcdefg
   Call-Id: [email-masked]
   CSeq: 314400 INFO
   Info-Package: foo
   Content-Type: multipart/mixed;boundary="theboundary"
   Content-Length: ...

   --theboundary
   Content-Type: application/mumble
   ...

   <mumble stuff>

   --theboundary
   Content-Type: application/foo-x
   Content-Disposition: Info-Package

   I am a foo-x message type, and I belong to Info Package foo
   --theboundary--

12.2.2.2.  Info Package with Multiple Body Parts inside Multipart Body
           Part

   INFO sip:[email-masked] SIP/2.0
   Via: SIP/2.0/UDP 192.0.2.2:5060;branch=z9hG4bKnabcdef
   To: Alice <sip:[email-masked]>;tag=1234567
   From: Bob <sip:[email-masked]>;tag=abcdefg
   Call-Id: [email-masked]
   CSeq: 314423 INFO
   Info-Package: foo
   Content-Type: multipart/mixed;boundary="theboundary"
   Content-Disposition: Info-Package
   Content-Length: ...

   --theboundary
   Content-Type: application/foo-x

   I am a foo-x message type, and I belong to Info Package foo

   <mumble stuff>

   --theboundary
   Content-Type: application/foo-y

   I am a foo-y message type, and I belong to Info Package foo
   --theboundary--

12.2.2.3.  Info Package with Single Body Part inside Multipart Body Part

   INFO sip:[email-masked] SIP/2.0
   Via: SIP/2.0/UDP 192.0.2.2:5060;branch=z9hG4bKnabcdef
   To: Alice <sip:[email-masked]>;tag=1234567
   From: Bob <sip:[email-masked]>;tag=abcdefg
   Call-Id: [email-masked]
   CSeq: 314423 INFO
   Info-Package: foo
   Content-Type: multipart/mixed;boundary="theboundary"
   Content-Disposition: Info-Package
   Content-Length: ...

   --theboundary
   Content-Type: application/foo-x
   Content-Disposition: icon

   I am a foo-x message type, and I belong to Info Package foo
   --theboundary--

Notes
-----
In four locations (in three examples), a Content-Length header is shown for a multipart body-part.  But comparing with RFC 1521 section 7.2, Content-Length has no defined meaning within MIME, and it appears that any appearance in a body-part header must be ignored.  Thus, these headers are meaningless, and the authors would probably not have included them if they had researched the subject.

(Bruno Chatras discovered this discrepancy.)

Instructions:
-------------
This errata is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC6086 (draft-ietf-sipcore-info-events-10)
--------------------------------------
Title               : Session Initiation Protocol (SIP) INFO Method and Package Framework
Publication Date    : January 2011
Author(s)           : C. Holmberg, E. Burger, H. Kaplan
Category            : PROPOSED STANDARD
Source              : Session Initiation Protocol Core
Area                : Real-time Applications and Infrastructure
Stream              : IETF
Verifying Party     : IESG